FROM node:22.11

WORKDIR /app

# Copy package files
COPY package*.json ./

# Install dependencies
RUN npm install

# Copy source code
COPY . .

# Build the application
RUN npm run build

# Expose port 8080
EXPOSE 3000

# Start the application
CMD ["npm", "start"]